Subject: RE: [AgentX] smilint messages for APM-MIB

From: "Natale, Robert C (Bob)" <[email-masked]>
Date: Fri, 9 Aug 2002 16:50:35 -0400

Hi Mark,

Good ideas.  If we find there are a number of
changes to AgentX encodings required (or desired)
as part of a v2, then it might be best to encode
an OID type in a manner more similar to the
OctetString type (i.e., where the length of the
object is always specified as a 32-bit value just
before the actual data).  Or people might want to
opt for something like the change I suggested (re
the OID type alone, that is) since it would save
4 bytes for many/most OID objects.  In either
case, we'll have to bump the version number
I'm sure (since AgentX apps which current check
the 0-128 sub-id limit are now in compliance but
would have to be modified for interoperability on
that item).

Cheers,

BobN

> -----Original Message-----
> From: Mark Ellison [mailto:[email-masked]]
> Sent: Friday, August 09, 2002 4:18 PM
> To: Bob Natale
> Cc: [email-masked]
> Subject: Re: [AgentX] smilint messages for APM-MIB
> 
> 
> Hi Bob,
> 
> From my perspective, setting h.version = 2 in the AgentX PDU 
> header might
> be a better way to start out as I think there will be some additional
> AgentX requirements that emerge from current OPS WG efforts.
> 
> For example, there may be a need to support a more 
> data-structure oriented
> version of the SMI.  Such a change may  impact rules for subtree
> registrations, rules for determining authoritative regions, as well as
> impacting the AgentX PDU encoding.
> 
> It seems it might be nicer/better/easier to bundle together 
> these changes
> as version 2 of the AgentX specification.
> 
> Regards,
> 
> Mark
> 
> Bob Natale wrote:
> 
> > >At 8/6/2002:08:32 PM, Randy Presuhn wrote:
> >
> > Hi Randy,
> >
> > >> Date: Tue, 06 Aug 2002 17:11:49 -0700
> > >> From: Andy Bierman <[email-masked]>
> > >> Subject: Re:  [RMONMIB] smilint messages for APM-MIB
> >
> 
> [deletions]
> 
> >
> > Thanks.  An AgentX PDU encodes an OID value using an 8-bit
> > "m_subid" field (as part of a 4-byte OID-header element) to
> > record the number of sub-id elements in the OID, with the
> > corresponding number of 32-bit sub-id values following
> > contiguously.  A comment in RFC2741 currently indicates
> > that the range of "m_subid" is "0-128".
> >
> > I think AgentX could deal with this by modifying the elements
> > of procedure to say that if the "m_subid" value in the AgentX
> > OID header is less than 255 then it contains the number of sub-
> > id elements as before, but if the value is 255 then the first
> > 32-bit value following the four OID header bytes specifies the
> > number of sub-id elements comprising the OID, the 32-bit values
> > for which then follow contiguously as before.
> >
> 
> [deletions]
> 
>